Bug 181301

Summary: support the Yii framework
Product: php Reporter: dahan
Component: ProjectAssignee: junichi11
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: abajja, axp, jpsala, pjiricka, ppisl, tmysik
Version: 7.4   
Target Milestone: Dev   
Hardware: PC   
OS: Windows 8 x64   
URL: http://gmile-spb.ru/
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:

Description dahan 2010-02-27 05:36:47 UTC
Dear all,
Now you are supporting the Symphony Framework, the Zend framework ..
Can I suggested that you support the Yii framework?

Now the community of Yii is growing up ..
You can check these links:
http://www.facebook.com/group.php?gid=72215709672
http://www.facebook.com/group.php?gid=61355672149&ref=search&sid=683775560.248836219..1
http://www.yiiframework.fr/
http://www.facebook.com/pages/Special-K-cereales/29987343821
http://www.stay.com/
http://yiiradiio.mehesz.net

I hope the next release of NetBeans supports this.

Regards,
Taleb DAHAN
Comment 1 phazei 2010-03-07 21:35:31 UTC
Perhaps a link to their main site should have been included:
http://www.yiiframework.com/

This is a very wonderful framework.  And it has excellent documentation that should make it rather easy to add support for:
http://www.yiiframework.com/doc/api/
Comment 2 abajja 2010-03-08 02:56:35 UTC
This is an intuitive php framework easy to use and I am sure that its community would be very glad to participate in this support.
Comment 3 cyberpol_777 2010-03-08 07:53:14 UTC
Please, I add to this cause too, as a user of both, Yii framework and NetBeans!
Two GREAT proyects!!!
Comment 4 ekerazha 2010-03-12 16:31:02 UTC
There was an alfa version of PRADO support for NetBeans: http://blogs.sun.com/netbeansphp/entry/first_screenshots_of_alfa_version

Yii is the successor of PRADO.
Comment 5 dreammaker 2010-03-12 16:42:22 UTC
ekerazha, it don't looks like Yii.
Comment 6 OriginalCopy 2010-03-12 17:24:23 UTC
@ekerazha it is not the successor of prado. It is a completely new framework done by a former prado core developer which took the lessons he learned out of the mistakes in prado. The API by itself has really nothing to do with PRADO.
Comment 7 ekerazha 2010-03-12 17:29:44 UTC
@dreammaker

It is simpler because templates are simple php/html, however you can also use a PRADO-like syntax through the CPradoViewRenderer component.
Comment 8 ekerazha 2010-03-12 17:42:00 UTC
(In reply to comment #6)
> @ekerazha it is not the successor of prado. It is a completely new framework
> done by a former prado core developer which took the lessons he learned out of
> the mistakes in prado. The API by itself has really nothing to do with PRADO.

1) It isn't a completely new framework, read the source code and you'll see large parts are inherited from PRADO.

2) I've said it is the successor of PRADO because it is developed by the same guy and most efforts go into Yii now.
Comment 9 dreammaker 2010-03-12 17:43:09 UTC
@ekerazha I'm not interesting in prado-like views. API of Yii is not API of PRado.
Comment 10 ekerazha 2010-03-12 17:46:16 UTC
(In reply to comment #9)
> @ekerazha I'm not interesting in prado-like views. API of Yii is not API of
> PRado.

Nobody said the API is the same.
Comment 11 OriginalCopy 2010-03-12 18:03:47 UTC
Then I don't see why it would be relevant to discuss about it here.
Comment 12 ekerazha 2010-03-12 18:15:18 UTC
(In reply to comment #11)
> Then I don't see why it would be relevant to discuss about it here.

It was to point out there already was interest to implement PRADO support, so there could be the same interest to develop the Yii support, as Yii is the "successor" of PRADO.

I don't know why there's always people who start endless stupid debates on marginal matters like this.
Comment 13 dreammaker 2010-03-12 18:21:21 UTC
Prado isn't Yii why write about Prado in Yii topic?
Comment 14 ekerazha 2010-03-12 18:26:22 UTC
(In reply to comment #13)
> Prado isn't Yii why write about Prado in Yii topic?

For the reason I've already explained.
Comment 15 OriginalCopy 2010-03-12 19:07:11 UTC
@ekerazha You should have made your point from the very beginning. I interpreted it like this: "Since Yii is the successor of prado, Yii could be easily integrated in netbeans by reusing parts of prado support already existing in netbeans". Never thought about "interest", whatever that may mean, technically speaking.
Comment 16 ekerazha 2010-03-13 01:40:45 UTC
(In reply to comment #15)
> @ekerazha You should have made your point from the very beginning. I
> interpreted it like this: "Since Yii is the successor of prado, Yii could be
> easily integrated in netbeans by reusing parts of prado support already
> existing in netbeans". Never thought about "interest", whatever that may mean,
> technically speaking.

What you interpreted has never been said, it's just your wrong interpretation. Again, I don't know why there's always people who start endless stupid debates on
marginal matters like this.
Comment 17 OriginalCopy 2010-03-13 07:00:12 UTC
You've put prado into the context of a feature request regarding yii. I don't know why there's always people who start smart arguments in the wrong place to be discusses about. Instead they insist on complaining about other people's stupidity.
Comment 18 ekerazha 2010-03-13 09:49:33 UTC
(In reply to comment #17)
> You've put prado into the context of a feature request regarding yii. I don't
> know why there's always people who start smart arguments in the wrong place to
> be discusses about. Instead they insist on complaining about other people's
> stupidity.

I've already explained the reasons. However, to be precise, the template syntax used by PRADO could be used for Yii too (CPradoViewRenderer component), so your objections are foolish in both cases.
Comment 19 waveslider 2010-03-25 01:38:13 UTC
I vote for Yii, also. Yii rocks. It is easily the best PHP framework in existence.

Please add support for Yii in Netbeans. It would really be awesome!
Comment 20 urbaniak 2010-04-05 20:08:10 UTC
Include support for Yii framework to raise popularity of NetBeans
Comment 21 Tomas Mysik 2010-04-06 08:42:05 UTC
Please, do not change the component. Thanks.
Comment 22 medar 2010-04-11 14:58:52 UTC
Please support Yii framework.
Comment 23 aleksdj 2010-04-13 13:40:23 UTC
We also vote for Yii support in Netbeans, this is the best php framework by far.
Comment 24 hyzhak 2010-04-13 14:00:55 UTC
Please support Yii framework.
Comment 25 dufei22 2010-04-14 03:54:20 UTC
Please support Yii framework.
Comment 26 dimis283 2010-04-14 07:05:49 UTC
Include support for Yii framework, have  popularity and it is a good framework
Comment 27 drigolin 2010-04-19 16:32:06 UTC
Please support Yii framework.
Comment 28 yugenekr 2010-04-27 07:23:22 UTC
I work with Yii using NetBeans so would really like to have my favorite framework being supported.
Comment 29 joey_santiago 2010-04-28 14:47:22 UTC
i do love Yii... it would be great to use it with my favourite IDE! :)

thanks
Comment 30 GarryFre 2010-04-29 20:47:03 UTC
I too would like to vote for support for the YII framework - Although I saw a video of a fellow using netbeans to create a yii project from existing source, so I am not sure what exactly is not missing except maybe yii framework specific code completion.
Comment 31 robregonm 2010-05-25 14:34:52 UTC
I agree, It's a excellent idea, It will a great enhancement
Comment 32 hussnain 2010-05-25 23:10:15 UTC
yes, we need support for this new and very promising framework....
Comment 33 mindplay 2010-05-26 16:10:51 UTC
To be really useful, an integration package for Yii should come with support for the most important Yii concepts: Components, Behaviors and Events.

ActiveRecord needs to special support, and already works well, as far as I can tell.

Support for views could come in the form of some sort of support for view-specific context. For example, the IDE should know that $this refers to a controller, or better still, which controller - although this would need to be specified by the user somehow, perhaps in a comment in the view file, since the same view could be used by different controllers.
Comment 34 yanayz 2010-06-10 18:31:09 UTC
yes, Yii support will be much appreciated!
Comment 35 1c3b0x 2010-07-04 20:32:53 UTC
The only reason I started using netbeans was so that I could work on my Yii projects.  Having real support for this exciting new framework would be a real blessing.  I'm not going to bash other frameworks since I realize each has its pros and cons, but my experience with Yii and other frameworks makes me feel that that the Yii framework community is going to grow. I believe it would be a worthwhile investment of your programming time and talent.  Chalk up another vote for Yii support!
Comment 36 Tomas Mysik 2010-07-05 08:05:36 UTC
BTW I have created a wiki page [1] with information how to develop support for a PHP framework. Maybe someone from you guys could be interested?

[1] http://wiki.netbeans.org/PhpFrameworkDevelopment
Comment 37 gnuheike 2010-07-13 13:42:58 UTC
Include support for Yii framework to raise popularity of NetBeans
Comment 38 certus 2010-07-17 19:10:16 UTC
Please include support of Yii.
Comment 39 slonofanya 2010-07-22 09:35:56 UTC
agree! IMXO!
Comment 40 fdisk 2010-07-26 08:18:54 UTC
That would be great
Comment 41 enrico.detoma 2010-08-02 15:54:00 UTC
Please support Yii framework. I already use Yii with Netbeans. Yii rocks.
Comment 42 lucifurious 2010-08-09 13:56:32 UTC
What actually needs to be done to add "support" for Yii?
Comment 43 Tomas Mysik 2010-08-10 21:18:26 UTC
(In reply to comment #42)
> What actually needs to be done to add "support" for Yii?

Already answered:

(In reply to comment #36)
> BTW I have created a wiki page [1] with information how to develop support for
> a PHP framework. Maybe someone from you guys could be interested?
> 
> [1] http://wiki.netbeans.org/PhpFrameworkDevelopment
Comment 44 ideea 2010-08-21 15:32:14 UTC
please add Yii support.
Comment 45 sidneyrees 2010-09-01 14:36:41 UTC
Please:
- Add 1 example for Yii on NetBeans start page
Comment 46 sidneyrees 2010-09-01 14:41:01 UTC
(In reply to comment #45)
> Please:
> - Add 1 example for Yii on NetBeans start page

- Create a new PHP project based on the Yii framework. 
- Filter and view help for Yii commands, specify command parameters, preview the whole command, and run it. 
- Assign shortcuts to commands.
Comment 47 Filip Zamboj 2010-09-15 12:36:59 UTC
batch reassigning
Comment 48 leshov 2010-09-24 08:50:26 UTC
This is a very wonderful framework!
Please support Yii framework!
Comment 49 Schaef 2010-10-18 12:05:13 UTC
Please support Yii framework.
Comment 50 murugan 2010-10-23 07:22:23 UTC
Please add support YII framework.
Comment 51 murugan 2010-10-23 07:23:36 UTC
Please add support YII framework.
Comment 52 macinville 2010-11-03 04:40:07 UTC
I'm not new to Yii, but I am new to Netbeans. Please provide support for Yii framework, it's the best framework I've seen so far.
Comment 53 Mark8080 2011-01-03 20:57:28 UTC
Please, add to NetBeans Yii framework.
Comment 54 sercul 2011-01-08 14:11:28 UTC
Hello! Yii is the best framework for php development, please provide yii support in NetBeans!
Comment 55 sensorario 2011-01-18 16:51:05 UTC
I need Yii!
Comment 56 andreribas 2011-01-21 01:46:35 UTC
It would be great to have the Yii suport from Netbeans. =)
Comment 57 sensorario 2011-01-21 10:29:40 UTC
(In reply to comment #56)
> It would be great to have the Yii suport from Netbeans. =)

me too =)
Comment 58 georgetwoone 2011-01-21 11:05:05 UTC
Yii is a very stable, strong and light framework. It's a pity to support all the slow and heavy ones and not Yii.
Comment 59 stargazerr 2011-01-26 10:10:29 UTC
Yii is a best framework ever seen! Please add support for it
Comment 60 ideea 2011-02-27 10:13:31 UTC
We need Yii!
Comment 61 OlegKN 2011-03-10 08:50:56 UTC
I'd like have support Yii framework in NetBeans.
Comment 62 ifmihai 2011-03-10 12:43:01 UTC
I vote too for Yii, the most useful php framework I've used / seen.
Comment 63 spiludu 2011-03-20 01:11:17 UTC
Please support Yii framework.
Comment 64 Sash_ch 2011-04-13 10:59:51 UTC
Hello to all! I also vote for support Yii framework in NetBeans! Thanks!
Comment 65 agent-j 2011-04-13 15:17:03 UTC
I'm Yii for vote! So please support it!
Comment 66 cybd 2011-04-16 16:15:18 UTC
Please, support Yii. Thanx.
Comment 67 coxa 2011-04-20 20:50:00 UTC
We need Yii!
Comment 68 xreload 2011-04-23 16:08:48 UTC
Please, add Yii framework support.
Comment 69 mrdev 2011-04-23 17:23:28 UTC
We need Yii!
Please, support Yii.
Comment 71 aigdonia 2011-06-28 23:13:28 UTC
a month ago I've started the development my Netbeans module to support Yii on my lovely NetBeans, Unfortunately, PHP support in NetBeans has no APIs, so I was to implement my Module without the support of NetBeans's PHP module advantages, and I was to develop the stuff from scratch, Now I've added the support for about 20% of the framework features, the work in progress, I need NetBeans Framework developers support to help end this plugin, also if NetBeans PHP team can provide help by allow PHP support in NetBeans to be API, this will ease lot of the issues.

I like NetBeans, I like Yii!
Comment 72 Tomas Mysik 2011-06-30 11:47:56 UTC
(In reply to comment #71)
> Unfortunately, PHP support in NetBeans has no APIs

Have you noticed comment in this issue with the following link [1]? This should be fine for you, please read it and feel free to give us a feedback. Thanks.

[1] http://wiki.netbeans.org/PhpFrameworkDevelopment
Comment 73 luislobo 2011-06-30 11:58:30 UTC
(In reply to comment #71)
> I need
> NetBeans Framework developers support to help end this plugin, also if NetBeans
> PHP team can provide help by allow PHP support in NetBeans to be API, this will
> ease lot of the issues.
> 
> I like NetBeans, I like Yii!

Can you publish your current Work to GitHub or some place where we can contribute?

I'm willing to help
Comment 74 gevik 2011-08-08 13:56:14 UTC
I have started developing Yii Framework support. If there is any interests from NetBeans admins I can publish my code to be included in the official NetBeans distribution. It is still in development and I am planning to provide a working version by 7.1.

Please look at:
http://www.yiiframework.com/forum/index.php?/topic/21923-yii-framework-support-for-netbeans-ide/
Comment 75 Petr Jiricka 2011-08-08 16:19:04 UTC
Hi Gevik, thanks - looks like you are making a lot of progress! 

Regarding publishing your plugin, I think the first step would be to publish it on the Plugin Portal: http://plugins.netbeans.org/. Then, you can upload it to the update center, so it's available from the IDE's Plugin's dialog: http://wiki.netbeans.org/FaqPluginUpdateCenter

Making it a part of the distribution would be a more complicated and longer-term process - we can discuss off-line, if you are interested.

Petr from the NetBeans team
Comment 76 petko 2011-09-02 20:41:55 UTC
Please, support Yii. Its an excellent framework and it is growing in popularity steadily!
Comment 77 ceklock 2011-09-19 21:08:02 UTC
Changing priority. Not a critical bug.
Comment 78 TBIKC 2011-11-01 18:29:32 UTC
I would like it !
Comment 79 vsko 2011-11-20 22:55:02 UTC
I like the Yii and NetBeans. Please, support Yii.
Comment 80 vandru 2011-11-30 09:24:06 UTC
Please, support Yii.
Comment 81 iXy 2011-12-18 22:37:00 UTC
Support Yii, plz...
Comment 82 techstroke 2011-12-21 20:52:32 UTC
Yii is gaining momentum as the best PHP framework around , 

http://www.phpframeworks.com/top-10-php-frameworks/

My whole team and I know many others who are making that swift move to Yii as it makes developing Web apps, requiring CRUD and Ajax super easy , It would be great if you netbeans people could add Yii support as I love this IDE a lot ad would love it even more when it has official Yii support.

Thanks & Regards,
Vivek Yadav
Wizcrew Technologies
Comment 83 zburguy 2012-03-27 00:00:12 UTC
I like the Yii and NetBeans. Please, support Yii!
Comment 84 rehberw3b 2012-04-07 16:44:46 UTC
I like use netbeans. Please, support Yii Framework! next version.

look at http://www.phpframeworks.com/top-10-php-frameworks/

waiting for you.

Thanks.
Comment 85 igorya 2012-04-11 07:22:20 UTC
–°ompletely support all of the previous speakers ! :)
Comment 86 madmis 2012-04-11 07:26:34 UTC
NetBeans & Yii is cool.
Comment 87 G0rg0t 2012-04-20 17:53:19 UTC
We need Yii!
Please, support Yii.
Comment 88 J3FF3 2012-05-17 03:03:39 UTC
Need Yii.
Comment 89 dutchakdev 2012-05-18 21:43:52 UTC
Please, support Yii.
Comment 90 vinh_truong 2012-05-22 01:38:11 UTC
Please support Yii framework in 7.1.3 or 7.2.  Thank you.
Comment 91 f1dz 2012-07-25 03:37:14 UTC
Please Support Yii.
It will be great.
Comment 92 alexZT 2012-07-29 19:17:35 UTC
it would be very good to have even basic autocomplete with Yii commands
Comment 93 karpo518 2012-09-09 09:11:23 UTC
I also want to see that the functional
Comment 94 sabsy 2012-09-19 08:35:56 UTC
Support for Yii please.......
Comment 95 authentictech 2012-09-23 15:43:52 UTC
Please use the "vote" feature of bugzilla if you want to see this feature. Do not post "me too" comments as it annoys those who are subscribed by email and creates a lot of noise for the developers working to resolve this issue. 

Also, it won't get this feature developed any quicker as the community takes notice of issues with the highest votes.

Thank you.
Comment 96 Tomas Mysik 2012-09-24 08:22:33 UTC
One idea to get this implemented - see NetBeans PHP Community Council, everyone is welcome.

Thanks.
[1] http://wiki.netbeans.org/NetBeans_PHP_Community_Council
Comment 97 lastalert 2012-10-11 19:22:50 UTC
with you guys. Yii + NB = great idea!
Comment 98 Monomachus 2012-10-12 08:06:27 UTC
All of you who wants something specific functionality from this plugin,
please leave a comment here:
NetBeans Yii Plugin Requirements[1].
You can also review the first feature specifications that will be implemented:
Yii plugin: New project wizard [2]

Thank you,
Timur

[1] http://nbphpcouncil.org/frameworks_board/node/13
[2] http://nbphpcouncil.org/frameworks_board/node/17
Comment 99 alex_90 2012-11-03 22:53:13 UTC
I like Yii and NetBeans together!!
Comment 100 D-3210 2013-02-17 17:35:00 UTC
it would be great to use it with my favourite IDE!
Comment 101 junichi11 2013-02-26 13:38:12 UTC
We have created Yii Plugin.
This module has been developing by NetBeans PHP Community Council[1].

It is available on Plugin Portal [2].
Please notice that plugin is able to work with NetBeans"7.3".

Thanks.

[1] http://nbphpcouncil.org/
[2] http://plugins.netbeans.org/plugin/47246/php-yii-framework-netbeans-phpcc
Comment 102 Tomas Mysik 2013-02-26 14:11:59 UTC
Thanks a lot, Junichi! Closing as FIXED, report all issues and enhancements on Github please.

Thanks.
Comment 103 Emfaund 2013-05-12 21:45:18 UTC
I work with Yii using NetBeans.
Comment 104 alzasr 2013-10-04 06:31:19 UTC
I use YII in NetBeanse.
Please support YII.
Comment 105 sensorario 2013-10-04 07:08:36 UTC
(In reply to alzasr from comment #104)
> I use YII in NetBeanse.
> Please support YII.

It is supported ... LOL
Comment 106 asisdes 2013-10-15 11:25:55 UTC
guys make support Yii Framework
Yii Framework best, easy learn, fast, 
big communite
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo